import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface TemplateEmailConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#default_language TemplateEmail#default_language}
    */
    readonly defaultLanguage?: string;
    /**
    * Email template type
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#type TemplateEmail#type}
    */
    readonly type: string;
    /**
    * translations block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#translations TemplateEmail#translations}
    */
    readonly translations: TemplateEmailTranslations[] | cdktf.IResolvable;
}
export interface TemplateEmailTranslations {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#language TemplateEmail#language}
    */
    readonly language: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#subject TemplateEmail#subject}
    */
    readonly subject: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_email#template TemplateEmail#template}
    */
    readonly template: string;
}
export declare function templateEmailTranslationsToTerraform(struct?: TemplateEmailTranslations | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/r/template_email okta_template_email}
*/
export declare class TemplateEmail extends cdktf.TerraformResource {
    static readonly tfResourceType = "okta_template_email";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/r/template_email okta_template_email} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options TemplateEmailConfig
    */
    constructor(scope: Construct, id: string, config: TemplateEmailConfig);
    private _defaultLanguage?;
    get defaultLanguage(): string;
    set defaultLanguage(value: string);
    resetDefaultLanguage(): void;
    get defaultLanguageInput(): string | undefined;
    get id(): string;
    private _type?;
    get type(): string;
    set type(value: string);
    get typeInput(): string | undefined;
    private _translations?;
    get translations(): TemplateEmailTranslations[] | cdktf.IResolvable;
    set translations(value: TemplateEmailTranslations[] | cdktf.IResolvable);
    get translationsInput(): cdktf.IResolvable | TemplateEmailTranslations[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=template-email.d.ts.map